Index: tmp/org.txm.rcp/rcpapplication.product
===================================================================
--- tmp/org.txm.rcp/rcpapplication.product	(revision 880)
+++ tmp/org.txm.rcp/rcpapplication.product	(revision 881)
@@ -586,12 +311,7 @@
    </features>
 
    <configurations>
-      <plugin id="org.eclipse.core.runtime" autoStart="true" startLevel="0" />
-      <plugin id="org.eclipse.equinox.common" autoStart="true" startLevel="2" />
-      <plugin id="org.eclipse.equinox.ds" autoStart="true" startLevel="2" />
-      <plugin id="org.eclipse.equinox.event" autoStart="true" startLevel="2" />
       <plugin id="org.eclipse.equinox.p2.reconciler.dropins" autoStart="true" startLevel="0" />
-      <plugin id="org.eclipse.equinox.simpleconfigurator" autoStart="true" startLevel="1" />
       <plugin id="org.txm.groovy.rcp" autoStart="false" startLevel="2" />
    </configurations>
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 880)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 881)
@@ -21,13 +21,13 @@
 import org.eclipse.ui.contexts.IContextService;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.handlers.IHandlerService;
+import org.txm.Toolbox;
+import org.txm.core.engines.EngineType;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPSearchEngine;
-import org.txm.statsengine.r.core.RStatsEngine;
-import org.txm.statsengine.r.core.messages.RCoreMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -57,12 +57,13 @@
 	 * @return true if the stat engine is available
 	 */
 	public boolean checkStatsEngine()	{
-		if (!RStatsEngine.isStarted()) {
-			System.out.println(RCoreMessages.error_statsEngineNotReadyCancelingCommand);
-			Log.severe(RCoreMessages.error_statsEngineNotReadyCancelingCommand);
-			return false;
-		}
-		return true;
+		return Toolbox.getEngineManager(EngineType.STATS).isCurrentEngineAvailable();
+//		if (!RStatsEngine.isStarted()) {
+//			System.out.println(RCoreMessages.error_statsEngineNotReadyCancelingCommand);
+//			Log.severe(RCoreMessages.error_statsEngineNotReadyCancelingCommand);
+//			return false;
+//		}
+//		return true;
 	}
 	
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java	(revision 880)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java	(revision 881)
@@ -27,7 +27,7 @@
 			Object expectedValue) {
 		if (PROPERTY_STATE_ENGINE_READY.equals(property)) {
 			//System.out.println("TEST: "+property+" = "+Toolbox.getEngineManager(EngineType.STAT).getEngine("R").getState()); //$NON-NLS-1$ //$NON-NLS-2$
-			return Toolbox.getEngineManager(EngineType.STATS).getEngine("R").getState();
+			return Toolbox.getEngineManager(EngineType.STATS).getEngine("R").isRunning();
 		} else if (PROPERTY_SEARCH_ENGINE_READY.equals(property)) {
 			System.out.println("TEST: "+property+" = "+CQPSearchEngine.isInitialized()); //$NON-NLS-1$ //$NON-NLS-2$
 			return CQPSearchEngine.isInitialized();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 880)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 881)
@@ -36,15 +36,16 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.part.ViewPart;
-import org.txm.chartsengine.core.results.ChartResult;
+//import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.views.corpora.CorporaView;
+//import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
 
 /**
  * Debug view for TXMResult.
- * 
+ * TODO make a chart result debug view/ext point to show more informations about charts
  * @author sjacquot
  */
 public class TXMResultDebugView extends ViewPart implements ISelectionChangedListener {
@@ -110,9 +111,9 @@
 		buffer.append("toString(): " + this.currentResult.toString() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Details: " + this.currentResult.getDetails() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Dirty: " + this.currentResult.isDirty() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-		if (this.currentResult instanceof ChartResult) 	{
-			buffer.append("Chart dirty: " + ((ChartResult)this.currentResult).isChartDirty() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-		}
+//		if (this.currentResult instanceof ChartResult) 	{
+//			buffer.append("Chart dirty: " + ((ChartResult)this.currentResult).isChartDirty() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
+//		}
 		
 		// Object parameters
 		buffer.append("\n"); //$NON-NLS-1$
@@ -128,15 +129,14 @@
 		buffer.append("Selected object = " + this.currentResult + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Node visible = " + this.currentResult.isVisible() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Node weight = " + this.currentResult.getWeight() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-		if (this.currentResult instanceof ChartResult) 	{
-			buffer.append("Chart engine = " + ((ChartResult)this.currentResult).getChartsEngine() + ", chart object = " + ((ChartResult)this.currentResult).getChart()
-					+ ", chart type = " + ((ChartResult)this.currentResult).getChartType()
-					+ "\n");
-		}
+//		if (this.currentResult instanceof ChartResult) 	{
+//			buffer.append("Chart engine = " + ((ChartResult)this.currentResult).getChartsEngine() + ", chart object = " + ((ChartResult)this.currentResult).getChart()
+//					+ ", chart type = " + ((ChartResult)this.currentResult).getChartType()
+//					+ "\n");
+//		}
 		buffer.append("Selection full path name = " + this.currentResult.getFullPathSimpleName() + " - " + this.currentResult.getName() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		buffer.append("Direct children count = " + this.currentResult.getChildren().size() + ", direct visible children count = " + this.currentResult.getChildren(true).size() + ", children count = " + this.currentResult.getDeepChildren().size() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-		buffer.append("Root parent = " + this.currentResult.getRootParent() + ", main corpus parent = " + Corpus.getParentMainCorpus(this.currentResult) + ", first parent corpus = " + Corpus.getFirstParentCorpus(this.currentResult)); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		
+		buffer.append("Root parent = " + this.currentResult.getRootParent() + ", main corpus parent = " + Corpus.getParentMainCorpus(this.currentResult) + ", first parent corpus = " + Corpus.getFirstParentCorpus(this.currentResult)); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$		
 		displayArea.setText(buffer.toString());
 	}
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java	(revision 880)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java	(revision 881)
@@ -57,7 +57,6 @@
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.searchengine.cqp.corpus.Corpus;
 
 /**
  * Call the internal browser of RCP specialized for TXM editions. 
@@ -86,7 +85,6 @@
 	
 	/** The source. */
 	private Object source;
-	private Corpus corpus;
 
 	/**
 	 * Instantiates a new txm browser.
@@ -251,7 +249,7 @@
 	public void lastPage() {
 		// System.out.println(Messages.TxmBrowser_2+currentPage);
 
-		if (currentPage != null && currentPage.getFile().equals(edition.getLastPage()))
+		if (currentPage != null && currentPage.getFile().equals(edition.getLastPage().getFile()))
 			return;
 		currentPage = edition.getLastPage();
 		this.webBrowser.setURL(currentPage.toURL());
@@ -662,12 +660,4 @@
 	public Page getCurrentPage() {
 		return currentPage;
 	}
-
-	public Corpus getCorpus() {
-		return corpus;
-	}
-	
-	public void setCorpus(Corpus corpus) {
-		this.corpus = corpus;
-	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 880)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 881)
@@ -215,7 +215,7 @@
 		IPartListener2 pl = new IPartListener2() {
 			// ... Other methods
 			public void partClosed(IWorkbenchPartReference partRef) {
-				if (partRef.getId().equals(TXMEditor.this.getClass())) { // called after this.doSave() 
+				if (partRef.getId().equals(TXMEditor.this.getClass().getName())) { // called after this.doSave() 
 					//System.out.println("EVENT partClosed");
 					for (TXMEditorExtension<T> b : extensions) {
 						try {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 880)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 881)
@@ -38,7 +38,8 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
-import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.core.results.TXMResult;
+//import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.svg.SVGComposite;
 
@@ -48,7 +49,7 @@
  *
  * @author Sylvain Loiseau
  */
-public abstract class SVGGraphicEditor extends TXMEditor<ChartResult> {
+public abstract class SVGGraphicEditor extends TXMEditor<TXMResult> {
 
 	/** Linking with the OutlineView. */
 	// private OverviewOutlinePage overviewOutlinePage;
Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,6 +1,5 @@
 Manifest-Version: 1.0
 Require-Bundle: org.eclipse.ui;visibility:=reexport,
- org.eclipse.core.runtime;visibility:=reexport,
  org.eclipse.core.filesystem;bundle-version="1.2.0";visibility:=reexport,
  org.eclipse.ui.ide;visibility:=reexport,
  org.eclipse.ui.console;bundle-version="3.4.0";visibility:=reexport,
@@ -8,61 +7,32 @@
  org.eclipse.ui.browser;bundle-version="3.2.300";visibility:=reexport,
  org.eclipse.ui.forms;visibility:=reexport,
  org.eclipse.ui.editors;visibility:=reexport,
- org.txm.core;visibility:=reexport,
- org.eclipse.e4.ui.workbench.addons.swt;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.equinox.ds;bundle-version="1.4.100";visibility:=reexport,
- org.eclipse.equinox.event;bundle-version="1.3.0";visibility:=reexport,
  org.eclipse.equinox.p2.ui;bundle-version="2.3.0";visibility:=reexport,
  org.eclipse.equinox.p2.ui.sdk;bundle-version="1.0.300";visibility:=reexport,
  org.eclipse.equinox.p2.ui.sdk.scheduler;bundle-version="1.2.0";visibility:=reexport,
- org.eclipse.update.configurator;bundle-version="3.3.200";visibility:=reexport,
  org.eclipse.e4.ui.css.swt.theme;bundle-version="0.9.100";visibility:=reexport,
- org.eclipse.e4.ui.css.swt;bundle-version="0.11.0";visibility:=reexport,
- org.eclipse.e4.ui.css.core;bundle-version="0.10.100";visibility:=reexport,
- org.eclipse.equinox.p2.updatesite;bundle-version="1.0.400";visibility:=reexport,
- org.eclipse.platform;bundle-version="4.3.0";visibility:=reexport,
- org.eclipse.equinox.util;bundle-version="1.0.500";visibility:=reexport,
  org.eclipse.equinox.p2.operations;visibility:=reexport,
  org.eclipse.equinox.p2.metadata;bundle-version="2.2.0";visibility:=reexport,
- org.eclipse.equinox.p2.director;visibility:=reexport,
  org.eclipse.equinox.p2.ui.discovery;bundle-version="1.0.0";visibility:=reexport,
  org.eclipse.equinox.p2.discovery;bundle-version="1.0.200";visibility:=reexport,
- org.eclipse.equinox.p2.discovery.compatibility;bundle-version="1.0.101";visibility:=reexport,
- org.eclipse.swt;visibility:=reexport,
  org.eclipse.equinox.p2.repository;bundle-version="2.3.0";visibility:=reexport,
  org.eclipse.equinox.p2.core;bundle-version="2.3.0";visibility:=reexport,
  org.eclipse.equinox.p2.engine;bundle-version="2.3.0";visibility:=reexport,
- org.eclipse.equinox.p2.console;bundle-version="1.0.300";visibility:=reexport,
- org.eclipse.ui.net;bundle-version="1.2.200";visibility:=reexport,
- org.eclipse.core.net;visibility:=reexport,
  org.eclipse.e4.ui.model.workbench;visibility:=reexport,
  org.eclipse.e4.ui.workbench;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.e4.core.contexts;bundle-version="1.3.0";visibility:=reexport,
  org.eclipse.core.expressions;visibility:=reexport,
- org.eclipse.ui.navigator;bundle-version="3.5.300";visibility:=reexport,
- org.eclipse.ui.navigator.resources;bundle-version="3.4.500";visibility:=reexport,
- org.eclipse.e4.ui.di;visibility:=reexport,
- org.eclipse.ui.themes;bundle-version="1.0.1";visibility:=reexport,
- org.eclipse.core.resources;bundle-version="3.9.1";visibility:=reexport,
- org.eclipse.ui.workbench.texteditor;bundle-version="3.9.0";visibility:=reexport,
- org.eclipse.e4.ui.bindings;bundle-version="0.10.200";visibility:=reexport,
- org.eclipse.osgi.services;bundle-version="3.4.0";visibility:=reexport,
- org.eclipse.osgi.util;bundle-version="3.3.0";visibility:=reexport,
- org.eclipse.equinox.p2.reconciler.dropins;bundle-version="1.1.200";visibility:=reexport,
- org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.e4.core.contexts;bundle-version="1.6.0";visibility:=reexport,
+ org.eclipse.osgi;bundle-version="3.12.100";visibility:=reexport,
+ org.eclipse.equinox.ds;bundle-version="1.5.0";visibility:=reexport,
+ org.eclipse.equinox.util;bundle-version="1.0.500";visibility:=reexport,
+ org.eclipse.equinox.event;bundle-version="1.4.0";visibility:=reexport,
+ org.txm.core;bundle-version="0.8.0";visibility:=reexport,
  org.txm.libs.batik;bundle-version="0.0.0";visibility:=reexport,
- org.eclipse.ui.views.log;bundle-version="1.0.500";visibility:=reexport,
- org.eclipse.ui.workbench;visibility:=reexport,
- org.txm.searchengine.cqp.core;visibility:=reexport,
+ org.txm.libs.args4j;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.tokenizer.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.groovy.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.specificities.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.groovy.core;visibility:=reexport,
- org.eclipse.jface
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport
 Export-Package: junit.extensions,
  junit.framework,
  junit.runner,
@@ -150,6 +120,7 @@
  org.txm.rcp.swt.dialog,
  org.txm.rcp.swt.listeners,
  org.txm.rcp.swt.provider,
+ org.txm.rcp.swt.toolbar,
  org.txm.rcp.swt.widget,
  org.txm.rcp.swt.widget.parameters,
  org.txm.rcp.swt.widget.preferences,
@@ -173,4 +144,5 @@
 Bundle-Activator: org.txm.rcp.Activator
 Bundle-SymbolicName: org.txm.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Import-Package: org.eclipse.equinox.p2.planner;version="2.0.0"
 
Index: tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,13 +1,5 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.libs.batik;bundle-version="0.0.0";visibility:=
- reexport,org.txm.libs.itext;bundle-version="2.1.5";visibility:=reexpo
- rt,org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.utils;bundle-version="1.0.0";visibility:=reexport,org.ecl
- ipse.swt;bundle-version="3.103.2";visibility:=reexport,org.txm.core;b
- undle-version="0.7.0";visibility:=reexport,org.txm.rcp;bundle-version
- ="0.7.8";visibility:=reexport,org.eclipse.core.expressions;bundle-ver
- sion="3.4.600";visibility:=reexport
+Require-Bundle: org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.chartsengine.svgbatik.rcp,org.txm.chartsengine
  .svgbatik.rcp.swing,org.txm.chartsengine.svgbatik.rcp.swt
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.specificities.core/.classpath
===================================================================
--- tmp/org.txm.specificities.core/.classpath	(revision 880)
+++ tmp/org.txm.specificities.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.specificities.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.specificities.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.specificities.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,16 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,org
- .eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,or
- g.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexpo
- rt,org.txm.statsengine.r.core;visibility:=reexport,org.txm.lexicaltab
- le.core;bundle-version="1.0.0";visibility:=reexport,org.txm.statsengi
- ne.core;bundle-version="1.0.0";visibility:=reexport,org.txm.core;bund
- le-version="0.7.0";visibility:=reexport,org.txm.progression.core;bund
- le-version="1.0.0";visibility:=reexport,org.txm.chartsengine.core;bun
- dle-version="1.0.0";visibility:=reexport,org.txm.chartsengine.jfreech
- art.core;bundle-version="1.0.0";visibility:=reexport,org.txm.chartsen
- gine.r.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.lexicaltable.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.progression.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.functions.contrasts,
  org.txm.specificities.core.chartsengine.jfreechart,
  org.txm.specificities.core.chartsengine.r,
